# Contributor Bill of Rights & Responsibilities

Welcome to the Understrap Contributor Bill of Rights & Responsibilities, and thanks for being part of the Understrap community!

**To submit questions or report violations anonymously, use this form: https://forms.gle/uNnkKPakeuae4kiX7**

You can also e-mail us at support@understrap.com with any questions. We will not publicly share any information you submit without your permission.

The Understrap project is owned and maintained by Howard Development & Consulting, LLC, a Denver-based web development firm.

This document outlines your rights and responsibilities as a participant in the Understrap community and applies equally to every participant.

## You have the right to...

**You have a right to a community that is a harassment-free experience for everyone,** regardless of age, body size, visible or invisible disability, ethnicity, sex characteristics, gender identity and expression, level of experience, education, socio-economic status, nationality, personal appearance, race, caste, color, religion, or sexual identity and orientation.

**You have a right to a clear, predictable process if a moderator believes you have violated the community guidelines.** For the vast majority of violations, this process will include:

* We will minimize the comment in GitHub. The author may receive a notification from GitHub with a brief reason for the action, depending on notification settings. If you are unsure why your comment was minimized, please ask us at support@understrap.com or use the form linked above. This protects your privacy and ensures the thread doesn’t go off topic.
* If the same user repeats a similar violation, we may start a new public discussion thread to further clarify the issue for the user and make a record of the issue for the full community to refer to and discuss.
* If a user repeatedly violates the Contributor Bill of Rights & Responsibilities, we will institute a 7-day temporary “cool down” ban.
* If a user who’s already been temporarily banned returns and commits an additional violation, we reserve the right to permanently ban that user.
* For extreme situations, such as doxxing or hate speech, we will immediately delete the comments and institute, at the minimum, a temporary ban. We reserve the right to immediately, permanently ban users who commit extreme violations.
* If you have a question or want to appeal a decision, please email us at support@understrap.com or use the form linked above. Public discussion threads are always acceptable as well, provided they don’t expose private personal information without permission.

We also acknowledge that there's an inevitable gray area in any code of conduct. Most similar documents are written with vague guidelines that grant effectively unlimited discretion to moderators, which makes disagreements about the interpretation of the rules common. Our goal here is to provide very specific guidelines, while also reserving the right for moderators to act quickly and decisively in extreme situations.

**You have a right to speak your mind in this community,** provided that you do not violate the specific guidelines we’ve laid out in this document. We do not have a blanket policy of talking “only about work” here. As long as everyone treats each other with dignity and respect, we encourage discussion of the many social and political issues that intersect with our work in technology. We don’t expect everyone to agree, but we believe we can have civil and valuable conversations here.

## You have the responsibility to...

**You have a responsibility to act and interact** in ways that contribute to an open, welcoming, diverse, inclusive, and healthy community.

**You have a responsibility to treat the Understrap community as a professional workplace.** Because Understrap is an important part of our business and the businesses of the thousands of developers who build sites with Understrap, we encourage you to think of the GitHub projects as an extension of a professional workplace. Everything you post here is public, and we want everyone to put their best foot forward. If you wouldn’t say or do something in front of everyone you work with, you shouldn’t say or do it here. Don’t think of this as a social or informal space like Twitter or Reddit; think of it as an office meeting where you’re collaborating with teammates.

We’ve never had an extreme incident (e.g. hate speech) in this community and hope never to have one. That said, we believe those situations are typically flagrant enough that most observers agree a moderator needs to take quick and decisive action.

The more common and nuanced situation is speech that doesn’t rise to the level of a threat, but still comes off as rude or inappropriate for an office setting. There’s a lot of gray area here, so we’ll offer some specific examples of behavior that we view as inappropriate for GitHub:

* Any profanity that you couldn’t say on the radio in the United States. Please note that obscuring a letter or two with a symbol like an asterisk doesn’t make it any less readable, and thus it still counts as profanity for our purposes. We understand that there is a gray area here, including words that have different meanings in different cultures and contexts. We’ll be as clear as possible on our reasoning if we believe there has been a profanity violation in the community.
* Sarcasm, mockery or ad hominem attacks. Focus on the code, not the person. And even if you’re criticizing code, avoid harsh or profane language.
* The use of sexualized language or imagery, and sexual attention or advances of any kind.
* Publishing others’ private information, such as a physical address, without their explicit permission.
* Hate speech; defined as abusive or threatening speech or writing targeting an individual or group on the basis of of age, body size, visible or invisible disability, ethnicity, sex characteristics, gender identity and expression, level of experience, education, socio-economic status, nationality, personal appearance, race, caste, color, religion, or sexual identity and orientation.
* Public or private harassment, threats of physical violence, or behavior that a moderator reasonably believes could be a violation of U.S. law or put other people in harm’s way.

We understand that everyone has different standards for office-appropriate conduct, and we’ll take into account neurodiversity, cultural differences and other mitigating factors any time we act on a violation. Generally, we will start small (by hiding your comment) so you have the opportunity to privately discuss the reasoning behind the decision with us, if you’d like to.

If your comment is minimized or you receive a warning, it does not mean we intend to ban you or hold any hard feelings. We all make mistakes and want to treat every community member with grace and empathy, and we also recognize that our standards here are higher than in some other similar communities. We’re very hesitant to issue a permanent ban in all but the most extreme cases, and we want to encourage you to express yourself, while also asking you to do your best to maintain office-appropriate decorum in the GitHub community.

We are very strong proponents of free expression, and we don’t want you to shy away from difficult conversations. We encourage all our employees to speak freely at work about any topic, and we think that philosophy should carry over to our GitHub community as well. We don’t institute blanket bans on subject matter here; we simply ask that you do your best to be respectful in all your interactions with others on this platform.

Also note that we have not included a “catch-all” violation, such as “any behavior deemed inappropriate.” These catch-all clauses exist in most other codes of conduct, but they are so broad that they basically leave everything up to the opinion of the moderator and thus make the code of conduct much less useful for community members. Our goal is to write a Contributor Bill of Rights & Responsibilities that can be applied consistently by all moderators, leaving minimal room for arbitrary judgement calls. We’ll do our best to keep the Contributor Bill of Rights & Responsibilities up to date with specific rules, rather than broad or vague guidelines.

**If you have any questions or want to report a violation, e-mail us at support@understrap.com or use this anonymous form: https://forms.gle/uNnkKPakeuae4kiX7**

Parts of this document are based on the [Contributor Covenant](https://www.contributor-covenant.org/). This document is released under the [CC BY 4.0 License](https://github.com/EthicalSource/contributor_covenant/blob/release/LICENSE.md).
